#ifndef userif_t_h
#define userif_t_h



class UserIF
{
	public:	
	static void Buttonhandler(int MenuKey);				// Button Handler
	static void F1_Btnhandler(void);				// Button Handler for function button
	static void F2_Btnhandler(void);				// Button Handler for function button
	static void F3_Btnhandler(void);				// Button Handler for function button
	static void F4_Btnhandler(void);				// Button Handler for function button
	static void F5_Btnhandler(void);				// Button Handler for function button
	static void F6_Btnhandler(void);				// Button Handler for function button

	static char MenuButtonCheck(char BtnNr);			// Check the Menu Buttons (pushed) returns 1 if found one
	static void MenuPopupStep(int MenuPopupNr, short *MenuStatusNr, short *MenuStatusNr2, short *MenuStatusNr3, int DrawMenuNr, int start, char dir); //Updates Menupopup
	static void UpdateChannel(int channel, char active);		// Update all channel depended vars


	static void Rotary_Interface(void);                             // Handle the Rotary Interupt
	static void ON_Rotary_Position(void);                           // Handle the Position Wheel
	static void ON_Trigger_Level(void);                             // Handle Trigger Level
	static void ON_Main_Wheel(void);                                // Handle
	static void ON_Timebase(void);                                  // Handle



   	static void ON_Voltage_Channel_1(void);                         // Handle	
	static void ON_Zero_Channel_1(void);                            // Handle
	static void ON_Voltage_Channel_2(void);                         // Handle
	static void ON_Zero_Channel_2(void);                            // Handle
	static void ON_Voltage_Channel_3(void);                         // Handle
	static void ON_Zero_Channel_3(void);                            // Handle
	static void ON_Voltage_Channel_4(void);                         // Handle
	static void ON_Zero_Channel_4(void);                            // Handle

	static void Keyboard_Interface(void);                           // Handle the Keyboard Interupt
	
	static void HandleMainWheel(char Direction);			// Main Wheel Handler
	static void ON_LogicZero(int *VirtualZero, int *ZeroLevel);
	static void ON_LogicTB(void);
};

#endif

